Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavacCompilerFactory

    java.lang.Object
      org.codehaus.groovy.tools.javac.JavacCompilerFactory

All Implemented Interfaces:
  JavaCompilerFactory

    public class JavacCompilerFactory

extends Object
implements JavaCompilerFactory

Constructor Summary
`JavacCompilerFactory()`

Method Summary
`JavaCompiler` | `createCompiler(CompilerConfiguration config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavacCompilerFactory

    public JavacCompilerFactory()

Method Detail

### createCompiler

    public JavaCompiler createCompiler(CompilerConfiguration config)

  Specified by:
    `createCompiler` in interface `JavaCompilerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD